### GET /me Source: https://developers.samsara.com/openapi/samsara-api.json Get information about your organization. **Submit Feedback**: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team. To use this endpoint, select **Read Org Information** under the Setup & Administration category when creating or editing an API token. Learn More. ```markdown ### Responses #### 200 - Returns information about your organization. **OrganizationInfoResponse** - **data** (object): Information about your organization. - **carrierSettings** (object): Carrier for a given organization. - **carrierName** (string): Carrier for a given organization. (example: "Acme Inc.") - **dotNumber** (integer (int64)): Carrier US DOT Number for the organization. (example: 98231) - **mainOfficeAddress** (string): Main office address for a given organization. (example: "1234 Pear St., Scranton, PA 62814") - **id** (string): ID of the organization. (example: "123") - **name** (string): Name of organization. (example: "Charlie's Dining Services") #### default - Error response **standardErrorResponse** - **message** (string): The message of the error. (example: "An error has occurred.") - **requestId** (string): The ID of the request. (example: "8916e1c1") ### Example Usage ```bash curl -X GET "https://api.samsara.com/me" ``` ``` -------------------------------- ### GET /users Source: https://developers.samsara.com/openapi/samsara-api.json Returns a list of all users in an organization. Users that have expired access will not be returned. **Submit Feedback**: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team. To use this endpoint, select **Read Users** under the Setup & Administration category when creating or editing an API token. Learn More. ```markdown ### Parameters - **limit** (integer (int64), query, optional): The limit for how many objects will be in the response. Default and max for this value is 512 objects. - **after** (string, query, optional): If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results. ### Responses #### 200 - List all users. **ListUsersResponse** - **data** (array (User)): A list of users. Array items: - **authType** (string (default|saml)) (required): The authentication type the user uses to authenticate. To use SAML this organization must have a configured SAML integration. Valid values: `default`, `saml`. ("default"|"saml") - **email** (string) (required): The email address of this user. (example: "user@company.com") - **id** (string) (required): ID of the user. (example: "123") - **name** (string) (required): The first and last name of the user. (example: "Bob Smith") - **roles** (array (UserRoleAssignment)) (required): The list of roles that applies to this user. A user may have "organizational" roles, which apply to the user at the organizational level, and "tag-specific" roles, which apply to the user for a given tag. Array items: - **expireAt** (string): For user account expiration, the access expiration datetime in RFC3339 format (example: "2025-08-13T19:08:25Z") - **role** (object): A user role object. - **id** (string): The unique ID for the role. (example: "8a9371af-82d1-4158-bf91-4ecc8d3a114c") - **name** (string): The name of the role. (example: "Full Admin") - **tag** (object): A minified tag object - **id** (string): ID of the tag. (example: "3914") - **name** (string): Name of the tag. (example: "East Coast") - **parentTagId** (string): If this tag is part a hierarchical tag tree, this is the ID of the parent tag, otherwise this will be omitted. (example: "4815") - **pagination** (object): Pagination parameters. - **endCursor** (string (string)) (required): Cursor identifier representing the last element in the response. This value should be used in conjunction with a subsequent request's 'after' query parameter. This may be an empty string if there are no more pages left to view. (example: "MjkY") - **hasNextPage** (boolean) (required): True if there are more pages of results immediately available after this endCursor. (example: true) #### default - Error response **standardErrorResponse** - **message** (string): The message of the error. (example: "An error has occurred.") - **requestId** (string): The ID of the request. (example: "8916e1c1") ### Example Usage ```bash curl -X GET "https://api.samsara.com/users?limit=0&after=string" ``` ``` -------------------------------- ### GET /gateways Source: https://developers.samsara.com/openapi/samsara-api.json List all gateways Rate limit: 5 requests/sec (learn more about rate limits here). To use this endpoint, select **Read Gateways** under the Setup & Administration category when creating or editing an API token. Learn More. **Submit Feedback**: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team. ```markdown ### Parameters - **models** (array (string), query, optional): Filter by a comma separated list of gateway models. - **after** (string, query, optional): If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results. ### Responses #### 200 - OK response. **GatewaysGetGatewaysResponseBody** - **data** (array (GatewayResponseObjectResponseBody)) (required): Activated gateways Array items: - **accessoryDevices** (array (AccessoryResponseObjectResponseBody)): Accessory devices on gateway Array items: - **model** (string): Product model name of the device (example: "EM11") - **serial** (string): The serial number of the accessory device. (example: "ABCD-123-EFG") - **asset** (object): An object containing information about the asset the gateway is installed on - **externalIds** (object): A map of external ids - **id** (string): The unique Samsara ID of the asset where the gateway is installed. This is automatically generated when the asset is created and cannot be changed. Use this ID on PATCH vehicle, equipment, or trailer endpoints to update the asset (example: "8393848111") - **connectionStatus** (object): An objecting containing information about the connectivity status of the gateway - **healthStatus** (string (Status Not Set|Connected|Not Installed|Power Source Off - Active Vehicle|Power Source Off - Inactive Vehicle|Weak Cellular Signal|Requires Investigation|Requires Charge|Unsupported Product|Low Battery. Replace Device.|Low Vehicle Battery|Unplugged|Low Charging State|Vehicle Off|Weak GPS Signal|Low Gateway Battery|Low Gateway Battery (AG24)|Low Gateway Battery (AG45)|Low Gateway Battery (AG26)|Low Gateway Battery (AG46)|Low Gateway Battery (AG46-P)|Temporarily Offline|Prolonged Offline|Recently Offline|Replacement Required|Status Unknown)): The most recent health status of the gateway. Valid values: `Status Not Set`, `Connected`, `Not Installed`, `Power Source Off - Active Vehicle`, `Power Source Off - Inactive Vehicle`, `Weak Cellular Signal`, `Requires Investigation`, `Requires Charge`, `Unsupported Product`, `Low Battery. Replace Device.`, `Low Vehicle Battery`, `Unplugged`, `Low Charging State`, `Vehicle Off`, `Weak GPS Signal`, `Low Gateway Battery`, `Low Gateway Battery (AG24)`, `Low Gateway Battery (AG45)`, `Low Gateway Battery (AG26)`, `Low Gateway Battery (AG46)`, `Low Gateway Battery (AG46-P)`, `Temporarily Offline`, `Prolonged Offline`, `Recently Offline`, `Replacement Required`, `Status Unknown` (example: "Not Installed") ("Status Not Set"|"Connected"|"Not Installed"|"Power Source Off - Active Vehicle"|"Power Source Off - Inactive Vehicle"|"Weak Cellular Signal"|"Requires Investigation"|"Requires Charge"|"Unsupported Product"|"Low Battery. Replace Device."|"Low Vehicle Battery"|"Unplugged"|"Low Charging State"|"Vehicle Off"|"Weak GPS Signal"|"Low Gateway Battery"|"Low Gateway Battery (AG24)"|"Low Gateway Battery (AG45)"|"Low Gateway Battery (AG26)"|"Low Gateway Battery (AG46)"|"Low Gateway Battery (AG46-P)"|"Temporarily Offline"|"Prolonged Offline"|"Recently Offline"|"Replacement Required"|"Status Unknown") - **lastConnected** (string): The last time the gateway was connected in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00). (example: "2019-06-13T19:08:25Z") - **dataUsageLast30Days** (object): An object containing information about the gateway data usage in mb for the last 30 days. - **cellularDataUsageBytes** (integer (int64)): Celluar data usage in bytes. (example: 4473822362122348000) - **hotspotUsageBytes** (integer (int64)): Wifi hotspot data usage in bytes. (example: 8217313748913212000) - **model** (string (AG15|AG24|AG24EU|AG26|AG26EU|AG41|AG41EU|AG45|AG45EU|AG46|AG46EU|AG46P|AG46PEU|AG51|AG51EU|AG52|AG52EU|AG53|AG53EU|IG15|IG21|IG41|IG61|SG1|SG1B|SG1G|SG1G32|SG1x|VG32|VG33|VG34|VG34EU|VG34FN|VG34M|VG54ATT|VG54EU|VG54FN|VG54NA|VG54NAE|VG54NAH|VG55EU|VG55FN|VG55NA)) (required): The model of the gateway installed on the asset. Valid values: `AG15`, `AG24`, `AG24EU`, `AG26`, `AG26EU`, `AG41`, `AG41EU`, `AG45`, `AG45EU`, `AG46`, `AG46EU`, `AG46P`, `AG46PEU`, `AG51`, `AG51EU`, `AG52`, `AG52EU`, `AG53`, `AG53EU`, `IG15`, `IG21`, `IG41`, `IG61`, `SG1`, `SG1B`, `SG1G`, `SG1G32`, `SG1x`, `VG32`, `VG33`, `VG34`, `VG34EU`, `VG34FN`, `VG34M`, `VG54ATT`, `VG54EU`, `VG54FN`, `VG54NA`, `VG54NAE`, `VG54NAH`, `VG55EU`, `VG55FN`, `VG55NA` (example: "VG34") ("AG15"|"AG24"|"AG24EU"|"AG26"|"AG26EU"|"AG41"|"AG41EU"|"AG45"|"AG45EU"|"AG46"|"AG46EU"|"AG46P"|"AG46PEU"|"AG51"|"AG51EU"|"AG52"|"AG52EU"|"AG53"|"AG53EU"|"IG15"|"IG21"|"IG41"|"IG61"|"SG1"|"SG1B"|"SG1G"|"SG1G32"|"SG1x"|"VG32"|"VG33"|"VG34"|"VG34EU"|"VG34FN"|"VG34M"|"VG54ATT"|"VG54EU"|"VG54FN"|"VG54NA"|"VG54NAE"|"VG54NAH"|"VG55EU"|"VG55FN"|"VG55NA") - **serial** (string) (required): The serial number of the gateway installed on the asset. (example: "GFRV-43N-VGX") - **pagination** (object) (required): Pagination parameters. - **endCursor** (string) (required): Cursor identifier representing the last element in the response. This value should be used in conjunction with a subsequent request's 'after' query parameter. This may be an empty string if there are no more pages left to view. (example: "MjkY") - **hasNextPage** (boolean) (required): True if there are more pages of results immediately available after this endCursor. (example: true) #### 401 - Unauthorized response. **GatewaysGetGatewaysUnauthorizedErrorResponseBody** - **message** (string) (required): Message of error (example: "Invalid token.") - **requestId** (string) (required): The request ID; used when reaching out to support for issues with requests. (example: "8916e1c1") #### 404 - Not Found response. **GatewaysGetGatewaysNotFoundErrorResponseBody** - **message** (string) (required): Message of error (example: "Object not found.") - **requestId** (string) (required): The request ID; used when reaching out to support for issues with requests. (example: "8916e1c1") #### 405 - Method Not Allowed response. **GatewaysGetGatewaysMethodNotAllowedErrorResponseBody** - **message** (string) (required): Message of error (example: "DELETE not allowed on /endpoint.") - **requestId** (string) (required): The request ID; used when reaching out to support for issues with requests. (example: "8916e1c1") #### 429 - Too Many Requests response. **GatewaysGetGatewaysTooManyRequestsErrorResponseBody** - **message** (string) (required): Message of error (example: "Exceeded rate limit.") - **requestId** (string) (required): The request ID; used when reaching out to support for issues with requests. (example: "8916e1c1") #### 500 - Internal Server Error response. **GatewaysGetGatewaysInternalServerErrorResponseBody** - **message** (string) (required): Message of error (example: "Failed to execute GraphQL query.") - **requestId** (string) (required): The request ID; used when reaching out to support for issues with requests. (example: "8916e1c1") #### 501 - Not Implemented response. **GatewaysGetGatewaysNotImplementedErrorResponseBody** - **message** (string) (required): Message of error (example: "Not implemented.") - **requestId** (string) (required): The request ID; used when reaching out to support for issues with requests. (example: "8916e1c1") #### 502 - Bad Gateway response. **GatewaysGetGatewaysBadGatewayErrorResponseBody** - **message** (string) (required): Message of error (example: "rpc error: code = Unknown desc = connection refused") - **requestId** (string) (required): The request ID; used when reaching out to support for issues with requests. (example: "8916e1c1") #### 503 - Service Unavailable response. **GatewaysGetGatewaysServiceUnavailableErrorResponseBody** - **message** (string) (required): Message of error (example: "context deadline exceeded") - **requestId** (string) (required): The request ID; used when reaching out to support for issues with requests. (example: "8916e1c1") #### 504 - Gateway Timeout response. **GatewaysGetGatewaysGatewayTimeoutErrorResponseBody** - **message** (string) (required): Message of error (example: "context deadline exceeded") - **requestId** (string) (required): The request ID; used when reaching out to support for issues with requests. (example: "8916e1c1") #### default - Bad Request response. **GatewaysGetGatewaysBadRequestErrorResponseBody** - **message** (string) (required): Message of error (example: "Invalid value for parameter.") - **requestId** (string) (required): The request ID; used when reaching out to support for issues with requests. (example: "8916e1c1") ### Example Usage ```bash curl -X GET "https://api.samsara.com/gateways?models=item1,item2&after=string" ``` ```